document.addEventListener('DOMContentLoaded', function() {
  // Create floating hearts
  const floatingHearts = document.querySelector('.floating-hearts');
  
  function createHeart() {
    const heart = document.createElement('div');
    heart.classList.add('floating-heart');
    heart.style.left = Math.random() * 100 + 'vw';
    heart.style.animationDuration = Math.random() * 3 + 2 + 's';
    heart.style.opacity = Math.random() * 0.5 + 0.5;
    heart.innerHTML = '❤️';
    heart.style.position = 'absolute';
    heart.style.fontSize = Math.random() * 20 + 10 + 'px';
    heart.style.animation = 'float-up ' + (Math.random() * 3 + 2) + 's linear forwards';
    
    floatingHearts.appendChild(heart);
    
    setTimeout(() => {
      heart.remove();
    }, 5000);
  }

  setInterval(createHeart, 300);
});

// Add floating heart animation to CSS
const style = document.createElement('style');
style.textContent = `
  @keyframes float-up {
    0% {
      transform: translateY(100vh) rotate(0deg);
    }
    100% {
      transform: translateY(-100vh) rotate(360deg);
    }
  }
`;
document.head.appendChild(style);
